

<?php
include_once("../header.php");
      include_once("../php/config.php");
      $sql_tasas = mysql_query("select * from tasas2 where moneda='DOLAR'") or die(mysql_error());
	  $compra_dolar =@mysql_result($sql_tasas,0,"compra");
      $venta_dolar =@mysql_result($sql_tasas,0,"venta");
	  
	  $sql_tasas2 = mysql_query("select * from tasas2 where moneda='GOURDE'") or die(mysql_error());
	  $compra_gourde =@mysql_result($sql_tasas2,0,"compra");
      $venta_gourde =@mysql_result($sql_tasas2,0,"venta");
   
    $sql_tasas = mysql_query("select * from tasas2") or die(mysql_error());
	  

?>



<style>
  .form-control{
    font-size: 16px;
	font-weight:bolder;
  }

.btn{
	width:200px;
	margin-top:5px;
}


label{
    font-size: 18px;
  }
.nav{
 @ display: none;
}
td, th{
	font-size:18px;

}


.container{
  background:white;
  padding: 15px;
}

td{
	color:blue;
}
</style>



<script src="compra_venta.js"></script>


    <div class="container">

 <hr>

		<div class="row">
			<div class="col-md-6 mt-2">



        <script type="text/javascript">
          function modalProducto(){
			    $("#frm").trigger('reset');
            $("#modalProducto").modal('show');


        }



        </script>


		      <form name="frm" action="" method="POST" id="frm">

     <span class="text-primary h2"><i class="bi bi-cash-coin"></i> COMPRA Y VENTA DE DIVISA</span><br>
	 <a href="#" onClick="historial()" class="text-rojo"><i class="bi bi-calendar"></i> Ver historial de compra y venta</a>

<hr>
			   <div class="row">
          <div class="col-xs-3"><b># Registro</b></div>
          <div class="col-xs-2">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="id" name="id" readonly>
          </div>
        </div>
		
		  <div class="row">
        <div class="col-xs-3">Fecha</div>
        <div class="col-xs-4">
          <input autocomplete="off" type="Date"  class="form-control mb-2 bold" id="fecha" name="fecha" value="<?php echo $hoy?>">
        </div>
       </div>

		
		 <div class="row">
         <div class="col-xs-3">Cliente</div>
         <div class="col-xs-9">
           <select class="form-control" id="cliente" onClick="get_cliente(this.value)">

				<option value="" selected></option>
				<?php $sql3 = mysql_query("select * from clientes") or die(mysql_error());  ?>

				<?php while ($r3 = mysql_fetch_array($sql3)) { ?>
				  <option value="<?php echo $r3['nombre'] ?>"><?php echo $r3['id_cliente']." - ".$r3['nombre'].", (".$r3['telefono'].")";?></option>
				<?php } ?>
				</select>
				<script>
				$(function(){
					$("#cliente").select2();
				})
				</script>
         </div>
       </div>
	   <br>
<center>
<a href="#" class="btn btn-orange bt" id="btncompradolar" onClick="$('#operacion0').val('compra_dolar'); $('#operacion').html('Compra dolar U$')"><i class="bi bi-coin"></i> <b>COMPRA DOLAR</b></a> | <a href="#" id="btnventadolar" class="btn btn-orange bt" onClick="$('#operacion0').val('venta_dolar'); $('#operacion').html('Venta Dolar U$')"><i class="bi bi-coin"></i> <b>VENTA DOLAR</b></a><br>
<a href="#" class="btn btn-verde bt" id="btnventadolar" onClick="$('#operacion0').val('compra_gourde'); $('#operacion').html('Compra gourde')"><i class="bi bi-coin"></i> <b>COMPRA GOURDE</b></a> | <a href="#" id="btnventagourde" class="btn btn-verde bt" onClick="$('#operacion0').val('venta_gourde'); $('#operacion').html('Venta Gourde')"><i class="bi bi-coin"></i> <b>VENTA GOURDE</b></a>
<br>
<br>


 <input type="hidden" id="operacion0">
   <input type="hidden" id="tipo">
   <input type="hidden" id="moneda">
 <span id="operacion" class="text-rojo" style="font-size:25px;">


 - Tipo operacion - 
 </span>

</center>

<div class="row">
 <div class="col-md-2 mt-2">
 <b id="lbmonto">MONTO</b>
</div>

<div class="col-md-4">
 <input type="number" class="form-control" id="monto" onkeypress="evento(event)" placeholder="MONTO CAMBIO: 0.00" onKeyUp="calculo_moneda(this.value)">
</div>

<div class="col-md-4">
 <input type="text" class="form-control" id="tasa" placeholder="TASA: 0.00" onKeyUp="calculo_moneda(this.value)">
</div>
</div>
<br>
<div class="row">
 <center>
 <b class="text-rojo" id="entrega" style="font-size:25px">ENTREGAR EN RD$</b>
<div class="col-md-12">
<span class="text-primary" style="font-size:35px" id="lbpagado">0.00</span>
 <input type="hidden" onkeypress="evento(event)" class="form-control" id="pagado" placeholder="PAGAR: 0.00" onKeyUp="calculo_moneda2(this.value)" style="font-size:25px">
 </div>
</center>
</div>

       

     
	   
	
	   <hr>
	


       		  </form>





            <button class="btn btn-rojo" type="button" onclick="grabar_producto()" id="btngrabar"><i class="bi bi-download"></i> Registrar</button>


          </div>






      <div class="col-md-6 mt-2">
        <form action="" method="POST" id="frm">
          <div class="row">
            <div class="col-xs-2">Buscar</div>
            <div class="col-xs-10"><input type="text" class="form-control" id='txt_buscar' name='txt_buscar' placeholder='Buscar...'></div>
          </div>
          <br>
        <div class="table-responsive border p-3">

					<table class="table" data-page-length='100' style="width: 100%">


              <th>MONEDA</th>

              <th>TASA COMPRA</th>
              <th>TASA VENTA </th>
   
						<tbody>
            <?php while($r=mysql_fetch_array($sql_tasas)){?>
			<?php
			$c++;
			
      $id = $r["id"];
			?>
							<tr>
               <td><?php echo $r["moneda"]?></td>
				
                <td><?php echo @decimal($r["compra"])?></td>
                <td><?php echo @decimal($r["venta"]);?></td>

				

              


            </tr>
                                                        <?php }?>
						</tbody>
					</table>
        </form>
					<hr>
					<b>Registros:</b> <?php echo $c;?>
					 
				</div>

      </div>
      </div>





        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
		$hoy = @date('Y-m-d');
		$fecha_a = date('Y-m-d', strtotime($hoy.  '+ 30 days'));

        ?>

<script>

function evento(event){
 
  //alert(event.keyCode)
  if(event.keyCode=="13"){
    grabar_producto();
  }
 
}


$(function(){
$("#producto option[value='OTROS']").prop('selected', true);
  $("#moneda_origen option[value='GOURDE']").prop('selected', true);
  
  $("#moneda_origen").change();
  $("#producto").change();
})

function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
    

            var sql="select * from compras where id='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                   
                    $("#fecha").val(rs.data[i].fecha);

                   
					           
                    $("#id").val(rs.data[i].id);
                   $("#proveedor option[value='"+rs.data[i].proveedor+"']").prop('selected', true);+
				   $("#producto option[value='"+rs.data[i].producto+"']").prop('selected', true);
				   $("#moneda_origen option[value='"+rs.data[i].moneda_origen+"']").prop('selected', true);
				   $("#tasa_moneda_origen").val(rs.data[i].tasa_moneda_origen);
				   $("#costo").val(rs.data[i].costo);
				   $("#total").val(rs.data[i].total);
				    $("#usuario").val(rs.data[i].usuario);
				   
				   
				   
                   

                  }

            })
        }

function get_producto(n){
	 $("#proveedor option[value='"+n+"']").prop('selected', true);
	 $("#producto option[value='"+n+"']").prop('selected', true);
}

function get_tasa(n){
     $("#tasa_moneda_origen").val("");

            var sql="select * from tasas where moneda='"+n+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                   
                    $("#tasa_moneda_origen").val(rs.data[i].compra);
						 calculo()
                   
					           
                    

                  }

            })
        }

function calculo(){
	var tasa = $("#tasa_moneda_origen").val();
	var costo = $("#costo").val();
	
	if(costo==""){costo = 0;}
	if(tasa==""){tasa = 0;}
	
	
	$("#total").val(parseFloat(costo) * parseFloat(tasa));
	
}



  function grabar_producto(){
  if(!confirm("Seguro(a) que desea registrar esta transaccion?")){return;}

     
     var fecha = $("#fecha").val();
     var moneda = $("#moneda").val();
     var operacion = $("#operacion0").val();
     var monto = $("#monto").val();
	 var tasa = $("#tasa").val();
	 var pagado = $("#pagado").val();
	 var cliente = $("#cliente").val();
	 var tasa = $("#tasa").val();

	 var tasa_dif1 = monto * ts_compra;
	 var tasa_dif2 = monto * ts_venta;
	 
	 /////alert($("#tipo").val())
	 
	 var beneficio = 0;
	 
	 if($("#tipo").val()=="venta"){
			beneficio = tasa_dif2 - tasa_dif1;

      if(beneficio<=0){
    	beneficio = tasa_dif1 - tasa_dif2;


       if(moneda=="gourde" && $("#tipo").val()=="venta"){
		var be =    monto / ts_venta;
		var be2 = monto / ts_compra;
        beneficio = be - be2;
        }

   }

	 }

   

  


	$("#btngrabar").prop("disabled", true)

  if(fecha=="" ||  monto=="" || tasa=="" || pagado==""){alert('Faltan datos'); return}
    var sql="";
      
            sql="INSERT INTO compra_venta_divisa set ";
            sql+=" fecha='"+fecha+"'";
            sql+=", hora=CURTIME()";
			sql+=", tipo='"+$("#tipo").val()+"'";
			sql+=", pago='"+pagado+"'";
			sql+=", monto='"+monto+"'";
			sql+=", moneda='"+moneda+"'";
			sql+=", beneficio='"+beneficio+"'";
			sql+=", tasa='"+tasa+"'";
			sql+=", cliente='"+cliente+"'";
			sql+=", usuario='"+myUser+"'";

        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
		  
		 
            imprimir()
		  
		  
		setTimeout(function(){window.location.reload()},1000)
		  
		  
	    
      }else{
          alert(data);

      }

    })
}





 function borrar(){
   var id = $("#id").val()
     if(id==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    

    var sql="";
    sql="delete from compras where id='"+id+"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
		lessinventario()
        window.location.reload()
		
        

      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
}


function inventario(){
	
	 
	  var producto = $("#producto").val()
	  var costo = $("#costo").val()
	  var total = $("#total").val()
	  
      if(costo==""){costo = 0;}
	   if(total==""){total = 0;}
     

    var sql="";
    sql="update productos set stock=stock + '"+ total +"', costo=costo + '"+ total +"' where descripcion='"+ producto +"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        ////$("#modalcobrador").modal('hide');
        noti("success","Producto actualizado","Registro grabado");
	
      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
	
}


function lessinventario(){
	
	 
	  var producto = $("#producto").val()
	  var costo = $("#costo").val()
	  var total = $("#total").val()
	  
      if(costo==""){costo = 0;}
	   if(total==""){total = 0;}
     

    var sql="";
    sql="update productos set stock=stock - '"+ total +"', costo=costo - '"+ costo +"' where descripcion='"+ producto +"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        ////$("#modalcobrador").modal('hide');
        noti("success","Producto actualizado","Registro grabado");
	
      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
	
}


 
 function uniKeyCode(event) {
  var key = event.keyCode;
  //alert("Unicode KEY code: " + key);
  if(key=="13"){

		////if($("#txt_buscar").val()!=""){
			filtrar();
		///}

	  }

}




function imprimir(){
	

            var sql="select * from compra_venta_divisa where usuario='"+ myUser +"' order by id desc limit 1";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                   
                    var id = rs.data[i].id;
			 window.open('recibo2.php?id='+id,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=500,height=850');
					           
                    

                  }

            })
}



function historial(){
				 window.open('historial_compra_venta.php?id='+id,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=850');

}


var compra_dolar = "<?php echo $compra_dolar?>";
var venta_dolar = "<?php echo $venta_dolar?>";
var venta_gourde = "<?php echo $venta_gourde?>";
var compra_gourde = "<?php echo $compra_gourde?>";



function b_compra_dolar(){


}




function seleccion(moneda, tipo){
	
}


function calculo_moneda(v){
	var monto = $("#monto").val()
	var operacion  = $("#operacion0").val();
	if(operacion==""){alert("Elija un tipo de operacion [COPRA, VENTA]"); $("#monto").val(""); $("#pagado").val("");$("#lbpagado").html("0.00"); return;}
	var tipo = $("#tipo").val()
	////alert(tipo)
	var pagar  = 0;
	if(tipo=="compra" && operacion=="compra_gourde"){
		pagar = monto / $("#tasa").val();
		$("#pagado").val(pagar.toFixed(2));
		$("#lbpagado").html(numeral(pagar).format('0,0.00'));
		$("#entrega").html("USTED DEBE ENTREGAR AL CLIENTE EN RD$");
		$("#lbmonto").html("RECIBIR MONTO EN GOURDE");
	}
	
	if(tipo=="venta" && operacion=="venta_gourde"){
		pagar = monto / $("#tasa").val();
		$("#pagado").val(pagar.toFixed(2))
		$("#lbpagado").html(numeral(pagar).format('0,0.00'));
		$("#entrega").html("EL CLIENTE DEBE ENTREGAR EN RD$");
		$("#lbmonto").html("ENTREGAR MONTO EN GOURDE");
	}
	
	
		if(tipo=="compra" && operacion=="compra_dolar"){
		pagar = monto * $("#tasa").val();
		$("#pagado").val(pagar.toFixed(2))
		$("#lbpagado").html(numeral(pagar).format('0,0.00'));
		$("#entrega").html("USTED DEBE ENTREGAR AL CLIENTE EN RD$");
		$("#lbmonto").html("RECIBIR MONTO EN DOLAR");
	}
	
	if(tipo=="venta" && operacion=="venta_dolar"){
		pagar = monto * $("#tasa").val();
		$("#pagado").val(pagar.toFixed(2))
		$("#lbpagado").html(numeral(pagar).format('0,0.00'));
		$("#entrega").html("EL CLIENTE DEBE ENTREGAR EN RD$");
		$("#lbmonto").html("ENTREGAR MONTO EN DOLAR");
	}
	
	
	
	
}

function calculo_moneda2(v){
	var pagado = $("#pagado").val()
	var operacion  = $("#operacion0").val();
	if(operacion==""){alert("Elija un tipo de operacion [COPRA, VENTA]"); $("#pagado").val("");$("#lbpagado").html("0.00"); $("#monto").val(""); return;}
	
	
	var pagar  = 0;
	
	monto = pagado  /  $("#tasa").val();
	$("#monto").val(monto.toFixed(2))
	
	
	
}





$(".bt").click(function(){
	$("#monto").val("");
	$("#monto").select();
	
	$("#pagado").val("");
	$("#lbpagado").html("0.00")
	
	var operacion = $("#operacion0").val()
  /////alert(venta_dolar)
	if(operacion=="compra_dolar"){$("#tasa").val(compra_dolar);$("#moneda").val("dolar"); $("#tipo").val("compra");get_tasas('dolar');}
	if(operacion=="venta_dolar"){$("#tasa").val(venta_dolar);$("#moneda").val("dolar"); $("#tipo").val("venta"); get_tasas('dolar');}
	
	if(operacion=="compra_gourde"){$("#tasa").val(compra_gourde);$("#moneda").val("gourde"); $("#tipo").val("compra"); get_tasas('gourde');}
	if(operacion=="venta_gourde"){$("#tasa").val(venta_gourde);$("#moneda").val("gourde"); $("#tipo").val("venta"); get_tasas('gourde');}
	
	
})



var ts_compra;
var ts_venta;

function get_tasas(m){
   
            var sql="select * from tasas2 where moneda='"+m+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                   
                   ts_compra = rs.data[i].compra;
				   ts_venta = rs.data[i].venta;

                   ////alert(ts_compra+" "+ts_venta)
				   
				   
				   
                   

                  }

            })
        }
        </script>
